
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.creativenether.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;

import net.minecraft.world.level.block.Block;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.DoubleHighBlockItem;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.world.item.BlockItem;

import net.mcreator.creativenether.item.SoulswordItem;
import net.mcreator.creativenether.item.SoulshovelItem;
import net.mcreator.creativenether.item.SoulpickaxeItem;
import net.mcreator.creativenether.item.SoulingotItem;
import net.mcreator.creativenether.item.SoulhoeItem;
import net.mcreator.creativenether.item.SoulaxeItem;
import net.mcreator.creativenether.item.NetherblobItem;
import net.mcreator.creativenether.item.FungistewItem;
import net.mcreator.creativenether.item.ColdnetherblobItem;
import net.mcreator.creativenether.CreativeNetherMod;

public class CreativeNetherModItems {
	public static final DeferredRegister<Item> REGISTRY = DeferredRegister.create(ForgeRegistries.ITEMS, CreativeNetherMod.MODID);
	public static final RegistryObject<Item> NETHERBLOB = REGISTRY.register("netherblob", () -> new NetherblobItem());
	public static final RegistryObject<Item> NETHERBLOBBLOCK = block(CreativeNetherModBlocks.NETHERBLOBBLOCK, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> TOXIC = block(CreativeNetherModBlocks.TOXIC, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> TOXIC_LOG = block(CreativeNetherModBlocks.TOXIC_LOG, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> TOXIC_PLANKS = block(CreativeNetherModBlocks.TOXIC_PLANKS, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> TOXIC_STAIRS = block(CreativeNetherModBlocks.TOXIC_STAIRS, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> TOXIC_SLAB = block(CreativeNetherModBlocks.TOXIC_SLAB, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> TOXIC_PRESSURE_PLATE = block(CreativeNetherModBlocks.TOXIC_PRESSURE_PLATE, CreativeModeTab.TAB_REDSTONE);
	public static final RegistryObject<Item> TOXIC_BUTTON = block(CreativeNetherModBlocks.TOXIC_BUTTON, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> TOXICNYLIUM = block(CreativeNetherModBlocks.TOXICNYLIUM, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> TOXICVINES = block(CreativeNetherModBlocks.TOXICVINES, CreativeModeTab.TAB_DECORATIONS);
	public static final RegistryObject<Item> TOXICWART = block(CreativeNetherModBlocks.TOXICWART, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> FUNGISTEW = REGISTRY.register("fungistew", () -> new FungistewItem());
	public static final RegistryObject<Item> TOXICFUNGI = block(CreativeNetherModBlocks.TOXICFUNGI, CreativeModeTab.TAB_DECORATIONS);
	public static final RegistryObject<Item> COLDNETHERBLOB = REGISTRY.register("coldnetherblob", () -> new ColdnetherblobItem());
	public static final RegistryObject<Item> BLOB = block(CreativeNetherModBlocks.BLOB, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> COLDNETHERBLOBBLOCK = block(CreativeNetherModBlocks.COLDNETHERBLOBBLOCK,
			CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> TOXICTRAPDOOR = block(CreativeNetherModBlocks.TOXICTRAPDOOR, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> TOXIXDOOR = doubleBlock(CreativeNetherModBlocks.TOXIXDOOR, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> LAVAENFORGEDNETHERITEBLOCK = block(CreativeNetherModBlocks.LAVAENFORGEDNETHERITEBLOCK,
			CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> SOULINGOT = REGISTRY.register("soulingot", () -> new SoulingotItem());
	public static final RegistryObject<Item> SOULSWORD = REGISTRY.register("soulsword", () -> new SoulswordItem());
	public static final RegistryObject<Item> SOULPICKAXE = REGISTRY.register("soulpickaxe", () -> new SoulpickaxeItem());
	public static final RegistryObject<Item> SOULAXE = REGISTRY.register("soulaxe", () -> new SoulaxeItem());
	public static final RegistryObject<Item> SOULSHOVEL = REGISTRY.register("soulshovel", () -> new SoulshovelItem());
	public static final RegistryObject<Item> SOULHOE = REGISTRY.register("soulhoe", () -> new SoulhoeItem());
	public static final RegistryObject<Item> NETHERSOULORE = block(CreativeNetherModBlocks.NETHERSOULORE, CreativeModeTab.TAB_BUILDING_BLOCKS);

	private static RegistryObject<Item> block(RegistryObject<Block> block, CreativeModeTab tab) {
		return REGISTRY.register(block.getId().getPath(), () -> new BlockItem(block.get(), new Item.Properties().tab(tab)));
	}

	private static RegistryObject<Item> doubleBlock(RegistryObject<Block> block, CreativeModeTab tab) {
		return REGISTRY.register(block.getId().getPath(), () -> new DoubleHighBlockItem(block.get(), new Item.Properties().tab(tab)));
	}
}
