
package net.mcreator.creativenether.item;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.SwordItem;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.CreativeModeTab;

import net.mcreator.creativenether.init.CreativeNetherModItems;

public class SoulswordItem extends SwordItem {
	public SoulswordItem() {
		super(new Tier() {
			public int getUses() {
				return 2041;
			}

			public float getSpeed() {
				return 1f;
			}

			public float getAttackDamageBonus() {
				return 8f;
			}

			public int getLevel() {
				return 2;
			}

			public int getEnchantmentValue() {
				return 2;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(CreativeNetherModItems.SOULINGOT.get()));
			}
		}, 3, 6f, new Item.Properties().tab(CreativeModeTab.TAB_TOOLS).fireResistant());
	}
}
