
package net.mcreator.creativenether.item;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.world.item.AxeItem;

import net.mcreator.creativenether.init.CreativeNetherModItems;

public class SoulaxeItem extends AxeItem {
	public SoulaxeItem() {
		super(new Tier() {
			public int getUses() {
				return 2041;
			}

			public float getSpeed() {
				return 13f;
			}

			public float getAttackDamageBonus() {
				return 4.5f;
			}

			public int getLevel() {
				return 4;
			}

			public int getEnchantmentValue() {
				return 15;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(CreativeNetherModItems.SOULINGOT.get()));
			}
		}, 1, 6f, new Item.Properties().tab(CreativeModeTab.TAB_TOOLS).fireResistant());
	}
}
