
package net.mcreator.creativenether.item;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.HoeItem;
import net.minecraft.world.item.CreativeModeTab;

import net.mcreator.creativenether.init.CreativeNetherModItems;

public class SoulhoeItem extends HoeItem {
	public SoulhoeItem() {
		super(new Tier() {
			public int getUses() {
				return 2041;
			}

			public float getSpeed() {
				return 10f;
			}

			public float getAttackDamageBonus() {
				return -0.5f;
			}

			public int getLevel() {
				return 4;
			}

			public int getEnchantmentValue() {
				return 15;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(CreativeNetherModItems.SOULINGOT.get()));
			}
		}, 0, -3.9f, new Item.Properties().tab(CreativeModeTab.TAB_TOOLS).fireResistant());
	}
}
